from Components.Language import language
from Tools.Directories import resolveFilename, SCOPE_LANGUAGE, SCOPE_PLUGINS

import gettext
from os import environ

lang = language.getLanguage()
environ["LANGUAGE"] = lang[:2]
gettext.bindtextdomain("enigma2", resolveFilename(SCOPE_LANGUAGE))
gettext.textdomain("enigma2")
gettext.bindtextdomain("CamManager", "%s%s" % (resolveFilename(SCOPE_PLUGINS), "Extensions/BoxPirates_CamManager/locale/"))


def _(txt):
    t = gettext.dgettext("CamManager", txt)
    if t == txt:
        t = gettext.gettext(txt)
    return t
